using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Kav
{
    public class MeshPart
    {
        public IndexBuffer IndexBuffer { get; }
        public VertexBuffer VertexBuffer { get; }
        public Triangle[] Triangles { get; }
        public Vector3[] Positions { get; }
        public Effect Effect { get; }

        public MeshPart(VertexBuffer vertexBuffer, IndexBuffer indexBuffer, Vector3[] positions, Triangle[] triangles, Effect effect)
        {
            VertexBuffer = vertexBuffer;
            IndexBuffer = indexBuffer;
            Positions = positions;
            Triangles = triangles;
            Effect = effect;
        }
    }
}
